curl --request POST \
--url https://eu.phrase.com/quality-evaluator/v1/aiChecks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: <content-type>' \
--data '
{
"name": "No Yoda Speech",
"qualityRequirements": "The translation must not use Yoda-style inverted sentence structure."
}
'import requests
url = "https://eu.phrase.com/quality-evaluator/v1/aiChecks"
payload = {
"name": "No Yoda Speech",
"qualityRequirements": "The translation must not use Yoda-style inverted sentence structure."
}
headers = {
"Content-Type": "<content-type>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': '<content-type>', Authorization: 'Bearer <token>'},
body: JSON.stringify({
name: 'No Yoda Speech',
qualityRequirements: 'The translation must not use Yoda-style inverted sentence structure.'
})
};
fetch('https://eu.phrase.com/quality-evaluator/v1/aiChecks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uid": "6804a3f2e1b2c3d4e5f60789",
"name": "No Yoda Speech",
"qualityRequirements": "The translation must not use Yoda-style inverted sentence structure."
}{
"type": "urn:problem-type:unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "Valid credentials were not supplied",
"instance": "<string>"
}{
"type": "urn:problem-type:unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "Valid credentials were not supplied"
}{
"type": "urn:problem-type:forbidden",
"title": "Forbidden",
"status": 403,
"detail": "Insufficient permissions to perform this action"
}{
"type": "urn:problem-type:unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "Valid credentials were not supplied",
"instance": "<string>"
}Create AI Check
Deprecated. Will be removed on October 12, 2026. AI Checks are now managed as Style Guide Rules attached to a Content Group.
Creates a new AI Check with custom quality requirements.
Requires ADMIN or OWNER IDM role.
Authorizations
Use a Bearer token obtained from Phrase Platform authentication. See the Authentication guide for details on how to obtain a token.
Headers
"application/json"
Body
Response
Created — the new AI Check.
"6804a3f2e1b2c3d4e5f60789"
"No Yoda Speech"
2000"The translation must not use Yoda-style inverted sentence structure."
Locale codes this AI Check applies to. Absent or empty means the check applies to all locales.
Locale code compatible with Phrase locale format. Case-insensitive, supports both underscore and hyphen separators (e.g., en_us, en-US, de_de, fr_fr).
Was this page helpful?